<div class="m-video--volume-control-wrapper" *ngIf="element">
  <i
    class="material-icons"
    *ngIf="element.volume === 0 || element.muted"
    (click)="element.muted = false"
    >volume_off</i
  >
  <i
    class="material-icons"
    *ngIf="element.volume > 0.01 && element.volume <= 0.1 && !element.muted"
    (click)="element.muted = true"
    >volume_mute</i
  >
  <i
    class="material-icons"
    *ngIf="element.volume > 0.1 && element.volume < 0.9 && !element.muted"
    (click)="element.muted = true"
    >volume_down</i
  >
  <i
    class="material-icons"
    *ngIf="element.volume >= 0.9 && !element.muted"
    (click)="element.muted = true"
    >volume_up</i
  >

  <div class="m-video--volume-control">
    <div class="m-video--volume-control--background"></div>
    <input
      type="range"
      [(ngModel)]="element.volume"
      class="m-video--volume-control-selector"
      min="0"
      max="1"
      step="0.05"
    />
  </div>
</div>
